Debian Bug report logs - #404048
unstable, gzip, apt-get dist-upgrade - error

version graph

Package: gzip; Maintainer for gzip is Bdale Garbee <bdale@gag.com>; Source for gzip is src:gzip.

Reported by: casius@casius.dk

Date: Thu, 21 Dec 2006 11:33:06 UTC

Severity: grave

Tags: patch

Found in version 1.3.9-1_i386

Fixed in version gzip/1.3.9-2

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to casius@casius.dk:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mikkel Blankholm <casius@casius.dk>
To: submit@bugs.debian.org
Subject: unstable, gzip, apt-get dist-upgrade - error
Date: Thu, 21 Dec 2006 12:29:19 +0100
Package: gzip
Version: 1.3.9-1_i386

Problem:

When using apt-get dist-upgrade on unstable, the result will appear like 
this:

Transcript:

"Setting up gzip (1.3.9-1) ...
install-info(/usr/share/info/gzip.info): warning, ignoring confusing 
INFO-DIR-ENTRY in file.

No `START-INFO-DIR-ENTRY' and no `This file documents'.
install-info(/usr/share/info/gzip.info): unable to determine description 
for `dir' entry - giving up
dpkg: error processing gzip (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 gzip
E: Sub-process /usr/bin/dpkg returned an error code (1)"


I'm running, Debian Linux kernel 2.6.17.13 and (trying) to run unstable, 
but until that, Debian 4.0?

--
Mikkel Blankholm



Severity set to `grave' from `normal' Request was from Andreas Pakulat <apaku@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Andreas Pakulat <apaku@gmx.de>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #12 received at 404048@bugs.debian.org (full text, mbox):

From: Andreas Pakulat <apaku@gmx.de>
To: control@bugs.debian.org, 404048@bugs.debian.org
Subject: unstable, gzip, apt-get dist-upgrade - error
Date: Thu, 21 Dec 2006 13:17:17 +0100
[Message part 1 (text/plain, inline)]
severity 404048 grave
thanks

Hi,

this bug is actually grave because gzip is uninstallable in sid now.

Andreas

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #17 received at 404048@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 404048@bugs.debian.org
Subject: Patch for RC gzip bug
Date: Thu, 21 Dec 2006 15:17:37 +0100
tags 404048 patch
thanks

Hi,

here's a simple patch that fixes this problem:

diff -Nur gzip-1.3.9.old/doc/gzip.texi gzip-1.3.9/doc/gzip.texi
--- gzip-1.3.9.old/doc/gzip.texi	2006-12-08 19:45:37.000000000 +0100
+++ gzip-1.3.9/doc/gzip.texi	2006-12-21 15:04:50.000000000 +0100
@@ -28,14 +28,14 @@
 
 @c Debian install-info (up through at least version 1.9.20) uses only the
 @c first dircategory.  Put this one first, as it is more useful in practice.
-@dircategory Individual utilities
+@dircategory Utilities
 @direntry
-* gzip: (gzip)Invoking gzip.                    Compress files.
+* Gzip: (gzip).                 The gzip command for compressing files.
 @end direntry
 
-@dircategory Utilities
+@dircategory Individual utilities
 @direntry
-* Gzip: (gzip).                 The gzip command for compressing files.
+* gzip: (gzip)Invoking gzip.                    Compress files.
 @end direntry
 
 @titlepage

In other words, just swap the two entries.  The full stop after the
parentheses makes the difference.

I think gzip.info is regenerated if gzip.texi is newer, but I'm not 100%
sure, please test before uploading.

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Tags added: patch Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to casius@casius.dk:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 404048-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 404048-close@bugs.debian.org
Subject: Bug#404048: fixed in gzip 1.3.9-2
Date: Thu, 21 Dec 2006 16:32:02 +0000
Source: gzip
Source-Version: 1.3.9-2

We believe that the bug you reported is fixed in the latest version of
gzip, which is due to be installed in the Debian FTP archive:

gzip_1.3.9-2.diff.gz
  to pool/main/g/gzip/gzip_1.3.9-2.diff.gz
gzip_1.3.9-2.dsc
  to pool/main/g/gzip/gzip_1.3.9-2.dsc
gzip_1.3.9-2_i386.deb
  to pool/main/g/gzip/gzip_1.3.9-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated gzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 21 Dec 2006 09:16:16 -0700
Source: gzip
Binary: gzip
Architecture: source i386
Version: 1.3.9-2
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 gzip       - The GNU compression utility
Closes: 404048
Changes: 
 gzip (1.3.9-2) unstable; urgency=low
 .
   * change direntry ordering in gzip.texi to work around bug in install-info,
     closes: #404048
Files: 
 f43c41b9670644d3341493c2f49cacfc 550 utils required gzip_1.3.9-2.dsc
 f75d8dc6f3e19b635ffddf4c8868ddad 11594 utils required gzip_1.3.9-2.diff.gz
 440eb4aab09c900971ca5dd6a969eb1d 75734 utils required gzip_1.3.9-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFirPgZKfAp/LPAagRAloxAJ9axcl2L8PDGKZ4T7uxkIi7sgBXwgCfQmpM
E2goGMetD/5cV26w4RAXCaE=
=AJfr
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to patrick.matthaei@web.de:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #29 received at 404048@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 404048@bugs.debian.org
Subject: Still exists
Date: Fri, 22 Dec 2006 08:41:07 +0100
It still exists in Debian Sid with 1.3.9-2.

Entpacke Ersatz für gzip ...
Richte gzip ein (1.3.9-2) ...
install-info(/usr/share/info/gzip.info): Warnung, ignoriere verwirrenden 
Eintrag INFO-DIR-ENTRY in Datei.

Kein »START-INFO-DIR-ENTRY« und kein »This file documents«.
install-info(/usr/share/info/gzip.info): Kann Beschreibung für 
»dir«-Eintrag nicht ermitteln - gebe auf
dpkg: Fehler beim Bearbeiten von gzip (--configure):
Unterprozess post-installation script gab den Fehlerwert 1 zurück
Fehler traten auf beim Bearbeiten von:
gzip
E: Sub-process /usr/bin/dpkg returned an error code (1)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #34 received at 404048@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: patrick.matthaei@web.de, 404048@bugs.debian.org
Subject: Re: Bug#404048: Still exists
Date: Fri, 22 Dec 2006 01:05:15 -0700
On Fri, 2006-12-22 at 08:41 +0100, Patrick Matthäi wrote:
> It still exists in Debian Sid with 1.3.9-2.
> 
> Entpacke Ersatz für gzip ...
> Richte gzip ein (1.3.9-2) ...
> install-info(/usr/share/info/gzip.info): Warnung, ignoriere verwirrenden 
> Eintrag INFO-DIR-ENTRY in Datei.

Check to see if you have a crufty old gzip.info file that is overriding
the newer .gz version in /usr/share/info. 

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Patrick Matthäi <patrick.matthaei@web.de>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #39 received at 404048@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 404048@bugs.debian.org
Subject: re:
Date: Fri, 22 Dec 2006 10:29:25 +0100
I have purged the gzip package before.
______________________________________________________________________________
"Ein Herz für Kinder" - Ihre Spende hilft! Aktion: www.deutschlandsegelt.de
Unser Dankeschön: Ihr Name auf dem Segel der 1. deutschen America's Cup-Yacht!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #44 received at 404048@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Patrick Matthäi <patrick.matthaei@web.de>, 404048@bugs.debian.org
Subject: Re: Bug#404048:
Date: Fri, 22 Dec 2006 08:36:33 -0700
On Fri, 2006-12-22 at 10:29 +0100, Patrick Matthäi wrote:
> I have purged the gzip package before.

You still need to check /usr/share/info, because by 'cruft' I meant a
file that apparently exists from some long-lost version that isn't
actually part of the current package.

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to "Justin Hartman" <jjhartman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #49 received at 404048@bugs.debian.org (full text, mbox):

From: "Justin Hartman" <jjhartman@gmail.com>
To: 404048@bugs.debian.org
Subject: unstable, gzip, apt-get dist-upgrade - error
Date: Fri, 22 Dec 2006 21:52:49 +0200
Bdale Garbee wrote:
>You still need to check /usr/share/info, because by 'cruft' I meant a
>file that apparently exists from some long-lost version that isn't
>actually part of the current package.

I still have this problem and I have the file in /usr/share/info/
called gzip.info.gz
Must I just delete this file or does it need to be appended with
something? Sorry but I'm really sure what the fix is.

Thanks in advance.
-- 
Regards
Justin Hartman
PGP Key ID: 102CC123



Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to "Justin Hartman" <jjhartman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #54 received at 404048@bugs.debian.org (full text, mbox):

From: "Justin Hartman" <jjhartman@gmail.com>
To: 404048@bugs.debian.org
Subject: Solved.
Date: Sat, 23 Dec 2006 00:18:57 +0200
Ok figured out that if I change my mirrors to ftp.us.debian.org there
was an updated gzip package which fixes this issue on apt-get
dist-upgrade.
-- 
Regards
Justin Hartman
PGP Key ID: 102CC123



Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404048; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #59 received at 404048@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: bug-gzip@gnu.org
Cc: 404048@bugs.debian.org
Subject: Re: unstable, gzip, apt-get dist-upgrade - error
Date: Fri, 29 Dec 2006 19:16:36 -0800
I installed this:

2006-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/gzip.texi: Swap order of dircategory entries, to pacify
	Debian install-info 1.10.28.  This should fix
	<http://bugs.debian.org/404048>.

--- doc/gzip.texi	8 Dec 2006 18:45:37 -0000	1.3
+++ doc/gzip.texi	30 Dec 2006 03:15:13 -0000
@@ -27,15 +27,17 @@ Free Documentation License''.
 @end copying

 @c Debian install-info (up through at least version 1.9.20) uses only the
-@c first dircategory.  Put this one first, as it is more useful in practice.
-@dircategory Individual utilities
+@c first dircategory.  But install-info 1.10.28 rejects any attempt to
+@c put the more-useful individual utility first.  So put the less-useful
+@c general category first.
+@dircategory Utilities
 @direntry
-* gzip: (gzip)Invoking gzip.                    Compress files.
+* Gzip: (gzip).                 The gzip command for compressing files.
 @end direntry

-@dircategory Utilities
+@dircategory Individual utilities
 @direntry
-* Gzip: (gzip).                 The gzip command for compressing files.
+* gzip: (gzip)Invoking gzip.                    Compress files.
 @end direntry

 @titlepage



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:58:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:55:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.